QuietExceptionStrategy (Mule ESB 2.2.1 API)
Keywords: org.mule.tck.functional.QuietExceptionStrategy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck.functional
Class QuietExceptionStrategy

    java.lang.Object
      org.mule.AbstractExceptionListener
          org.mule.tck.functional.QuietExceptionStrategy

All Implemented Interfaces:
  ExceptionListener, MuleContextAware, Disposable, Initialisable

    public class QuietExceptionStrategy

extends AbstractExceptionListener

Restrict exceptions to debug log messages

Field Summary
`protected Log` | `logger`

Fields inherited from class org.mule.AbstractExceptionListener
`commitTxFilter, enableNotifications, endpoints, initialised, muleContext, rollbackTxFilter`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`QuietExceptionStrategy()`

Method Summary
`void` | `handleLifecycleException(Object component, Throwable e)` DefaultLifecyclePhase exceptions are thrown when an error occurs during an object's lifecycle call such as start, stop or initialise.
`void` | `handleMessagingException(MuleMessage message, Throwable e)` A messaging exception is thrown when an excpetion occurs during normal message processing.
`void` | `handleRoutingException(MuleMessage message, ImmutableEndpoint endpoint, Throwable e)` A routing exception is thrown when an excpetion occurs during normal message processing A `RoutingException` holds a reference to the current message and te endpoint being routing to or from when the error occurred.
`void` | `handleStandardException(Throwable e)` A handler for all other exceptions

Methods inherited from class org.mule.AbstractExceptionListener
`addEndpoint, closeStream, dispose, doInitialise, exceptionThrown, fireNotification, getCommitTxFilter, getEndpoints, getEndpoints, getErrorMessagePayload, getExceptionType, getRollbackTxFilter, handleTransaction, initialise, isEnableNotifications, isInitialised, logException, logFatal, removeEndpoint, rollbackTransaction, routeException, setCommitTxFilter, setEnableNotifications, setEndpoints, setMuleContext, setRollbackTxFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

Constructor Detail

### QuietExceptionStrategy

    public QuietExceptionStrategy()

Method Detail

### handleMessagingException

    public void handleMessagingException(MuleMessage message,
                                         Throwable e)

  Description copied from class: `AbstractExceptionListener`
  A messaging exception is thrown when an excpetion occurs during normal message processing. A `MessagingException` holds a reference to the current message that is passed into this method

  Specified by:
    `handleMessagingException` in class `AbstractExceptionListener`
  Parameters:
    `message` - the current message being processed
    `e` - the top level exception thrown. This may be a Messaging exception or some wrapper exception
  See Also:
    `MessagingException`

### handleRoutingException

    public void handleRoutingException(MuleMessage message,
                                       ImmutableEndpoint endpoint,
                                       Throwable e)

  Description copied from class: `AbstractExceptionListener`
  A routing exception is thrown when an excpetion occurs during normal message processing A `RoutingException` holds a reference to the current message and te endpoint being routing to or from when the error occurred. Both are passed into this method

  Specified by:
    `handleRoutingException` in class `AbstractExceptionListener`
  Parameters:
    `message` - the current message being processed
    `endpoint` - the endpoint being dispatched to or received from when the error occurred
    `e` - the top level exception thrown. This may be a Messaging exception or some wrapper exception
  See Also:
    `RoutingException`

### handleLifecycleException

    public void handleLifecycleException(Object component,
                                         Throwable e)

  Description copied from class: `AbstractExceptionListener`
  DefaultLifecyclePhase exceptions are thrown when an error occurs during an object's lifecycle call such as start, stop or initialise. The exception contains a reference to the object that failed which can be used for more informative logging.

  Specified by:
    `handleLifecycleException` in class `AbstractExceptionListener`
  Parameters:
    `component` - the object that failed during a lifecycle call
    `e` - the top level exception thrown. This may or may not be the `LifecycleException` but a lifecycle exception will be present in the exception stack.
  See Also:
    `LifecycleException`

### handleStandardException

    public void handleStandardException(Throwable e)

  Description copied from class: `AbstractExceptionListener`
  A handler for all other exceptions

  Specified by:
    `handleStandardException` in class `AbstractExceptionListener`
  Parameters:
    `e` - the top level exception thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.